curl --request GET \
--url https://api.cula.tech/tracking/v1/v1/material-processing-configs/{id}/versions \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "scv_01kqzcjrpyf27tgefy70hchba7",
"config_id": "stc_01kqzcjrpyf27tgeevggzctpyk",
"name": "Biomass Processing",
"published_at": "2026-01-15T08:00:00Z",
"data_point_configs": [
{
"id": "dpc_01kqzcjrpyf27tgeq6a84z0yhy",
"name": "Weight gross",
"type": "amount",
"is_mandatory": true,
"has_dependencies": false,
"default_input_value": "<string>",
"amount_base": "weight",
"validation": {},
"select_config": {
"options": [
{
"label": "<string>",
"value": "<string>"
}
]
}
}
],
"input_config": {
"id": "mcc_01kqzcjrpyf27tgenyy2stmy5z",
"name": "Corn Payload",
"data_point_configs": [
{
"id": "dpc_01kqzcjrpyf27tgeq6a84z0yhy",
"name": "Weight gross",
"type": "amount",
"is_mandatory": true,
"has_dependencies": false,
"default_input_value": "<string>",
"amount_base": "weight",
"validation": {},
"select_config": {
"options": [
{
"label": "<string>",
"value": "<string>"
}
]
}
}
]
},
"output_config": {
"id": "mcc_01kqzcjrpyf27tgenyy2stmy5z",
"name": "Corn Payload",
"data_point_configs": [
{
"id": "dpc_01kqzcjrpyf27tgeq6a84z0yhy",
"name": "Weight gross",
"type": "amount",
"is_mandatory": true,
"has_dependencies": false,
"default_input_value": "<string>",
"amount_base": "weight",
"validation": {},
"select_config": {
"options": [
{
"label": "<string>",
"value": "<string>"
}
]
}
}
]
},
"next_version_id": null,
"schema": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"required": [
"config_id",
"site"
],
"properties": {
"data_points": {
"type": "array",
"description": "Step-level data points",
"x-required-config-ids": []
},
"input": {
"type": "array",
"minItems": 1,
"items": {
"type": "object",
"properties": {
"data_points": {
"type": "array",
"x-required-config-ids": [
"dpc_01kqzcjrpyf27tgev7c16b3dct"
]
}
}
}
},
"output": {
"type": "array",
"minItems": 1,
"items": {
"type": "object",
"properties": {
"data_points": {
"type": "array",
"x-required-config-ids": [
"dpc_01kqzcjrpyf27tgev9d27c4edu",
"dpc_01kqzcjrpyf27tgevbd38d5fev"
]
}
}
}
}
}
}
}
]
}Lists all published versions. Draft versions are not exposed.
curl --request GET \
--url https://api.cula.tech/tracking/v1/v1/material-processing-configs/{id}/versions \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "scv_01kqzcjrpyf27tgefy70hchba7",
"config_id": "stc_01kqzcjrpyf27tgeevggzctpyk",
"name": "Biomass Processing",
"published_at": "2026-01-15T08:00:00Z",
"data_point_configs": [
{
"id": "dpc_01kqzcjrpyf27tgeq6a84z0yhy",
"name": "Weight gross",
"type": "amount",
"is_mandatory": true,
"has_dependencies": false,
"default_input_value": "<string>",
"amount_base": "weight",
"validation": {},
"select_config": {
"options": [
{
"label": "<string>",
"value": "<string>"
}
]
}
}
],
"input_config": {
"id": "mcc_01kqzcjrpyf27tgenyy2stmy5z",
"name": "Corn Payload",
"data_point_configs": [
{
"id": "dpc_01kqzcjrpyf27tgeq6a84z0yhy",
"name": "Weight gross",
"type": "amount",
"is_mandatory": true,
"has_dependencies": false,
"default_input_value": "<string>",
"amount_base": "weight",
"validation": {},
"select_config": {
"options": [
{
"label": "<string>",
"value": "<string>"
}
]
}
}
]
},
"output_config": {
"id": "mcc_01kqzcjrpyf27tgenyy2stmy5z",
"name": "Corn Payload",
"data_point_configs": [
{
"id": "dpc_01kqzcjrpyf27tgeq6a84z0yhy",
"name": "Weight gross",
"type": "amount",
"is_mandatory": true,
"has_dependencies": false,
"default_input_value": "<string>",
"amount_base": "weight",
"validation": {},
"select_config": {
"options": [
{
"label": "<string>",
"value": "<string>"
}
]
}
}
]
},
"next_version_id": null,
"schema": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"required": [
"config_id",
"site"
],
"properties": {
"data_points": {
"type": "array",
"description": "Step-level data points",
"x-required-config-ids": []
},
"input": {
"type": "array",
"minItems": 1,
"items": {
"type": "object",
"properties": {
"data_points": {
"type": "array",
"x-required-config-ids": [
"dpc_01kqzcjrpyf27tgev7c16b3dct"
]
}
}
}
},
"output": {
"type": "array",
"minItems": 1,
"items": {
"type": "object",
"properties": {
"data_points": {
"type": "array",
"x-required-config-ids": [
"dpc_01kqzcjrpyf27tgev9d27c4edu",
"dpc_01kqzcjrpyf27tgevbd38d5fev"
]
}
}
}
}
}
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.cula.tech/llms.txt
Use this file to discover all available pages before exploring further.
API key passed as a Bearer token. Keys are scoped to one organisation and a set of permitted sites. Two keys per scope (primary + secondary) are issued to support zero-downtime rotation.
Authorization: Bearer <api-key>Cula-assigned resource ID in TypeID format (e.g. stp_01kqzcjrpxf27tge33jwvjhkff).
Alternatively, pass your external ID prefixed with ext-
(e.g. ext-MY-STEP-001). The ext- prefix is unambiguous because
TypeIDs use _ separators and never start with ext-.
List of config versions.
Show child attributes